Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.core
Class ConversationEntries

    java.lang.Object
      org.jboss.seam.core.AbstractMutable
          org.jboss.seam.core.ConversationEntries

All Implemented Interfaces:
  Serializable, Mutable

    @Name(value="org.jboss.seam.core.conversationEntries")
    @Install(precedence=0)
    @Scope(value=SESSION)
    @Intercept(value=NEVER)
    public class ConversationEntries

extends AbstractMutable
implements Serializable

Manages a map of conversation id to ConversationEntry in the session context.

Author:
  Gavin King
See Also:
  Serialized Form

Constructor Summary
`ConversationEntries()`

Method Summary
`ConversationEntry` | `createConversationEntry(String id, List<String> stack)`
`Collection<ConversationEntry>` | `getConversationEntries()`
`ConversationEntry` | `getConversationEntry(String id)`
`Set<String>` | `getConversationIds()`
`static ConversationEntries` | `instance()`
`ConversationEntry` | `removeConversationEntry(String id)`
`int` | `size()`
`String` | `toString()`
`ConversationEntry` | `updateConversationId(String oldId, String newId)`

Methods inherited from class org.jboss.seam.core.AbstractMutable
`clearDirty, setDirty, setDirty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConversationEntries

    public ConversationEntries()

Method Detail

### getConversationEntries

    public Collection<ConversationEntry> getConversationEntries()

### size

    public int size()

### getConversationIds

    public Set<String> getConversationIds()

### createConversationEntry

    public ConversationEntry createConversationEntry(String id,
                                                     List<String> stack)

### getConversationEntry

    public ConversationEntry getConversationEntry(String id)

### removeConversationEntry

    public ConversationEntry removeConversationEntry(String id)

### updateConversationId

    public ConversationEntry updateConversationId(String oldId,
                                                  String newId)

### instance

    public static ConversationEntries instance()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD